<?php

if ($level < 3) {
$system['title'] = 'Доступ Запрещен';
require SYS . 'header.php';
?><div class='nav1'>Ошибка: Данный Раздел Для Администрации</div><?  
require SYS . 'end.php';
exit;
}


if (isset($_GET['money'])) {
  $system['title'] = 'Заморожено Денег в системе';
  $FROM = ' FROM `shop_pays` ';
  $WHERE = ' WHERE `id_author` AND `pays` = "1" AND (`out_wmr` = "0" OR `out_wmr` = "2") ';
  $ORDER = ' `wmr` ';
  $LINK = '&amp;money';
} else {
  $system['title'] = 'Доступно денег к выводу';
  $FROM = ' FROM `users` ';
  $WHERE = ' WHERE `wmr` >= "10.01" ';
  $ORDER = ' `wmr` ';
  $LINK = '&amp;wmr';
}


require SYS . 'header.php';

$cash2 = $sql -> fetch("SELECT SUM(wmr) AS wmr FROM `shop_pays` WHERE `pays` = '1' AND (`out_wmr` = '0' OR `out_wmr` = '2')");
$cash3 = $sql -> fetch("SELECT SUM(wmr) AS wmr FROM `users` WHERE `id` AND `wmr` >= '10.01' ");
?>
<div class='nav1' >
<?/*Всего денег Заморожено: <?= round($cash2['wmr'] - ($cash2['wmr'] / 100 * $system['pct_pays']), 2)?> wmr<br />

*/?>Всего доступны денег к Выводу: <?= round($cash3['wmr'], 2)?> wmr<br />
<?= (!isset($_GET['money']) ? '<a href="/?func=user.ballans.wmr&money" >Посмотреть замороженные деньги к выводу.</a> ' : '<a href="/?func=user.ballans.wmr">Посмотреть Доступные деньги к выводу.</a>')?>
</div>

<?

$k_post = $sql -> selectCount("SELECT COUNT(*) $FROM $WHERE  ");

if ($k_post == 0) {
  ?>
  <div class="alert" style="margin: 2px;">Список пользователей пуст</div>
  <?
} else {
  $k_page = k_page($k_post, $system['page_str']);
  $page = page($k_page);
  $start =  $system['page_str'] * $page -  $system['page_str'];

  $array = $sql -> select("SELECT * $FROM $WHERE ORDER BY $ORDER DESC LIMIT $start, $system[page_str]");

  foreach ($array AS $anketa) {
    $num++;

?>
    <div class="<?= ($num % 2 ? "nav1" : "nav2")?>">
      <?= (!isset($_GET['money']) ? ' '.avatar($anketa['id'], 1).' '.login($anketa['id'], 1).'' : ' '.avatar($anketa['id_author'], 1).' '.login($anketa['id_author'], 1).' ')?>
<br />

<?= (!isset($_GET['money']) ? ' '.__('Доступны деньги к выводу').': '.round($anketa['wmr'], 2).' ' : ' '.__('Заморожены Деньги к выводу').': '.round($anketa['wmr'] - ($anketa['wmr'] / 100 * $system['pct_pays']), 2).' ')?> wmr<br />
<?
if (isset($_GET['money'])){?>
    <? $ank = $sql -> fetch("SELECT * FROM `users` WHERE `id` = '$anketa[id_author]'  LIMIT 1");?>
<br /><?= vremja($ank['date_last'])?><br/>
<?= $anketa['id_author']?>
<?
}else{
?>
<? $ank = $sql -> fetch("SELECT * FROM `users` WHERE `id` = '$anketa[id]'  LIMIT 1");?>
<br /><?= vremja($ank['date_last'])?><br />
<?= $anketa['id']?>
<?}?>
    </div>
    <?
    
  }

  if ($k_page > 1) { 
    str( '/?func=user.ballans.wmr'.$LINK.'&amp;', $k_page, $page);
  }
}
?>
